<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.EditInput']}</h2>
        <rich:dragIndicator id="indicator" draggingClass="gzl-btn gzl-btn-blue">
            #{messages['net.ihe.gazelle.xval.Expression']}
        </rich:dragIndicator>
        <h:outputText value="#{messages['net.ihe.gazelle.xval.WrongParametersInURL']}"
                      rendered="#{validatorInputEditorManager.newValidatorInput == null}"/>
        <s:div id="globalInputDiv" rendered="#{validatorInputEditorManager.newValidatorInput != null}">
            <h:form id="globalInputForm">
                <s:decorate template="/layout/panels/_panel_title_footer.xhtml" id="editInputPanel"
                            rendered="#{validatorInputEditorManager.newValidatorInput != null}">
                    <ui:param name="panel_id" value="inputAttributes"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['net.ihe.gazelle.xval.InputDetails']}"/>
                    </ui:define>
                    <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
                        <ui:param name="panel_id" value="referencedObjectPanel"/>
                        <ui:define name="panel_title">
                            <h:outputText value="#{messages['net.ihe.gazelle.xval.AssociatedReferencedObject']}"/>
                        </ui:define>
                        <rich:panel styleClass="gzl-alert gzl-alert-orange">
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.xval.WARNINGYouCanWhetherSelectAReferencedObjectFromT']}"/>
                        </rich:panel>
                        <s:decorate template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="keywordList"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.AvailableReferencedObjects']}</ui:define>
                            <br/>
                            <h:selectOneMenu value="#{validatorInputEditorManager.selectedKeyword}" required="true"
                                             styleClass="form-control gzl-form-control gzl-select-text" id="keywordList">
                                <f:selectItems value="#{validatorInputEditorManager.getReferencedObjectKeywordList()}"/>
                                <a4j:ajax event="change" render="referencedObjectPanel globalInputForm"
                                          listener="#{validatorInputEditorManager.setInputReferencedObject}"/>
                            </h:selectOneMenu>
                        </s:decorate>
                        <br/>
                        <s:decorate template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="fileTypeInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.FileType']}
                            </ui:define>
                            <br/>
                            <h:selectOneMenu
                                    value="#{validatorInputEditorManager.newValidatorInput.referencedObject.objectType}"
                                    required="true" id="fileTypeInput" styleClass="form-control gzl-form-control gzl-select-text"
                                    requiredMessage="The file type is a mandatory field">
                                <f:selectItems value="#{validatorInputEditorManager.objectTypes}"/>
                                <a4j:ajax event="change" render="editInputPanel"/>
                            </h:selectOneMenu>
                        </s:decorate>
                        <s:decorate template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="inputKeywordInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Keyword']}
                            </ui:define>
                            <h:inputText
                                    value="#{validatorInputEditorManager.newValidatorInput.referencedObject.keyword}"
                                    required="true" requiredMessage="The keyword is a mandatory field"
                                    styleClass="form-control" id="inputKeywordInput"
                                    validator="#{validatorInputEditorManager.validateReferencedObjectKeyword}"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_edit.xhtml"
                                    rendered="#{validatorInputEditorManager.newValidatorInput.isXml()}">
                            <ui:param name="id" value="xsdInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.XSDLocation']}
                            </ui:define>
                            <h:inputText
                                    value="#{validatorInputEditorManager.newValidatorInput.referencedObject.xsdLocation}"
                                    size="100" maxlength="255" id="xsdInput" styleClass="form-control"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="inputdescInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Description']}
                            </ui:define>
                            <h:inputTextarea
                                    value="#{validatorInputEditorManager.newValidatorInput.referencedObject.description}"
                                    required="true" id="inputdescInput" styleClass="form-control"
                                    requiredMessage="The description is a mandatory field"
                                    style="resize:both;"/>
                        </s:decorate>
                    </ui:decorate>
                    <br/>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="msgType"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.Type']}</ui:define>
                        <br/>
                        <h:selectOneMenu value="#{validatorInputEditorManager.newValidatorInput.messageType}" required="true"
                                         requiredMessage="Please select a message type for this input"
                                         styleClass="form-control gzl-form-control gzl-select-text" id="msgType">
                            <f:selectItems value="#{validatorInputEditorManager.getMsgTypes()}"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xval.PleaseSelect']}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="minInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.CardinalityMin']}
                        </ui:define>
                        <rich:inputNumberSpinner
                                value="#{validatorInputEditorManager.newValidatorInput.minQuantity}"
                                step="1" id="minInput"
                                minValue="0"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="maxInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.CardinalityMax']}
                        </ui:define>
                        <rich:inputNumberSpinner
                                value="#{validatorInputEditorManager.newValidatorInput.maxQuantity}"
                                step="1" id="maxInput"
                                minValue="-1"/>
                        <s:span styleClass="fa fa-info help-block">
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.xval.Use1ToSetMaxCardinalityAsUnbounded']}"/>
                        </s:span>
                    </s:decorate>
                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Back']}"
                                           action="#{validatorInputEditorManager.back()}" byPassUpdates="true"
                                           immediate="true" styleClass="gzl-btn"
                                           title="#{messages['net.ihe.gazelle.xval.UnsavedChangesWillBeLost']}"/>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Save']}"
                                           actionListener="#{validatorInputEditorManager.saveInput()}" styleClass="gzl-btn-green"
                                           render="globalInputDiv"/>
                    </ui:define>
                </s:decorate>
            </h:form>
        </s:div>
    </ui:define>
</ui:composition>